<div class="card">
    <mat-progress-bar mode="indeterminate" *ngIf="loading" class="p-1"></mat-progress-bar>
    <ng-container *ngIf="getAuth">
        <app-autorizar-cambios (result)="userValue($event)" *ngIf="!userAuthValid">
            {{ messageUserAuth }}
        </app-autorizar-cambios>
    </ng-container>

    <div class="card-header-title font-size-lg text-capitalize font-weight-normal animated fadeIn">
        <div class="row d-flex justify-content-between">
            <div class="col-sm-4 col-md-5 col-lg-3 d-flex justify-content-center">
                <div class="card no-shadow rm-border bg-transparent widget-chart text-left">
                    <div class="icon-wrapper rounded-circle">
                        <i aria-hidden="true" class="fa fa-bed fa-2x fa-fw ml-2 text-secondary"></i>
                    </div>
                    <div class="widget-chart-content">
                        <div class="widget-subheading">Tipo Habitación</div>
                        <div class="widget-numbers"><span>{{ folio.tcuarto }}</span></div>
                    </div>
                </div>
            </div>
            <div class="col-7 col-sm-4 col-md-4 col-lg-2">
                <ul class="rm-list-borders rm-list-borders-scroll list-group list-group-flush"
                    style="font-size: 0.8rem;">
                    <li class="list-group-item">
                        <div class="widget-content p-0">
                            <div class="widget-content-wrapper">
                                <div class="widget-content-left mr-3">
                                    <div class="widget-heading"># Folio</div>
                                </div>
                                <div class="widget-content-right">
                                    <strong>{{ folio.hfolio }}</strong>
                                </div>
                            </div>
                        </div>
                    </li>
                    <li class="list-group-item">
                        <div class="widget-content p-0">
                            <div class="widget-content-wrapper">
                                <div class="widget-content-left mr-3">
                                    <div class="widget-heading">Entrada</div>
                                </div>
                                <div class="widget-content-right">
                                    <div class="fsize-1 text-focus">
                                        <span>{{ folio.hfent | date: formatKendo }}</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </li>
                    <li class="list-group-item">
                        <div class="widget-content p-0">
                            <div class="widget-content-wrapper">
                                <div class="widget-content-left mr-3">
                                    <div class="widget-heading">Salida</div>
                                </div>
                                <div class="widget-content-right">
                                    <div class="fsize-1 text-focus">
                                        <span>{{ folio.hfsal | date: formatKendo }}</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </li>
                </ul>
            </div>
            <div class="col-5 col-sm-4 col-md-3 col-lg-2">
                <ul class="rm-list-borders rm-list-borders-scroll list-group list-group-flush"
                    style="font-size: 0.8rem;">
                    <li class="list-group-item">
                        <div class="widget-content p-0">
                            <div class="widget-content-wrapper">
                                <div class="widget-content-left mr-3">
                                    <div class="widget-heading">Adultos</div>
                                </div>
                                <div class="widget-content-right">
                                    <div class="fsize-1 text-focus"><span>{{ folio.hadultos }}</span></div>
                                </div>
                            </div>
                        </div>
                    </li>
                    <li class="list-group-item">
                        <div class="widget-content p-0">
                            <div class="widget-content-wrapper">
                                <div class="widget-content-left mr-3">
                                    <div class="widget-heading">Juniors</div>
                                </div>
                                <div class="widget-content-right">
                                    <div class="fsize-1 text-focus"><span>{{ folio.hjunior }}</span></div>
                                </div>
                            </div>
                        </div>
                    </li>
                    <li class="list-group-item">
                        <div class="widget-content p-0">
                            <div class="widget-content-wrapper">
                                <div class="widget-content-left mr-3">
                                    <div class="widget-heading">Menores</div>
                                </div>
                                <div class="widget-content-right">
                                    <div class="fsize-1 text-focus"><span>{{ folio.hmenores }}</span></div>
                                </div>
                            </div>
                        </div>
                    </li>
                    <li class="list-group-item">
                        <div class="widget-content p-0">
                            <div class="widget-content-wrapper">
                                <div class="widget-content-left mr-3">
                                    <div class="widget-heading">Men. C/C</div>
                                </div>
                                <div class="widget-content-right">
                                    <div class="fsize-1 text-focus"><span>{{ folio.hmenpag }}</span></div>
                                </div>
                            </div>
                        </div>
                    </li>
                </ul>
            </div>
            <div class="col-lg-4 d-flex justify-content-center "
                *ngIf="tarifaSelect">
                <div class="card no-shadow rm-border bg-transparent widget-chart text-left">
                    <div class="icon-wrapper rounded-circle">
                        <div class="icon-wrapper-bg opacity-9 bg-success"></div>
                        <i class="pe-7s-cash text-white"></i>
                    </div>
                    <div class="widget-chart-content">
                        <div class="widget-subheading">Total Tarifa
                            <strong class="text-primary">{{ folio.tarifa }}</strong>
                        </div>

                        <div class="widget-numbers text-success">
                            <span>{{ ttotal + totalSuplemento | currency: 'MXN' }}</span>
                            <span class="ml-1" style="font-size: 1.5rem;">{{ folio.hmon }}</span>
                        </div>
                        <div class="widget-description text-focus">
                            Total Adultos
                            <strong class="text-dark pl-1">{{ tarifaSelect.httad }}</strong>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <ng-container *ngIf="!flagEdit">
        <kendo-grid [data]="dataGrid" [selectable]="true" style="height:38vh;" [sortable]="true"
            (selectionChange)="changeTarifa($event)" class="animated fadeIn">
            <kendo-grid-column field="hfecha" title="Fecha" width="110">
                <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.hfecha | date: formatKendo }}</ng-template>
            </kendo-grid-column>
            <kendo-grid-column field="hta1" title="Sencillo" width="85" class="text-right" *ngIf="uno">
                <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.hta1 | currency: 'MXN' }}</ng-template>
            </kendo-grid-column>
            <kendo-grid-column field="hta2" title="Doble" width="85" class="text-right" *ngIf="dos">
                <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.hta2 | currency: 'MXN' }}</ng-template>
            </kendo-grid-column>
            <kendo-grid-column field="hta3" title="Triple" width="85" class="text-right" *ngIf="tres">
                <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.hta3 | currency: 'MXN' }}</ng-template>
            </kendo-grid-column>
            <kendo-grid-column field="hta4" title="Cuádruple" width="100" class="text-right" *ngIf="cuatro">
                <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.hta4 | currency: 'MXN' }}</ng-template>
            </kendo-grid-column>
            <kendo-grid-column field="hta5" title="Quíntuple" width="100" class="text-right" *ngIf="cinco">
                <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.hta5 | currency: 'MXN' }}</ng-template>
            </kendo-grid-column>
            <kendo-grid-column field="hta6" title="Séxtuple" width="90" class="text-right" *ngIf="seis">
                <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.hta6 | currency: 'MXN' }}</ng-template>
            </kendo-grid-column>
            <kendo-grid-column field="hta7" title="Séptuple" width="90" class="text-right" *ngIf="siete">
                <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.hta7 | currency: 'MXN' }}</ng-template>
            </kendo-grid-column>
            <kendo-grid-column field="hta8" title="Óctuple" width="90" class="text-right" *ngIf="ocho">
                <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.hta8 | currency: 'MXN' }}</ng-template>
            </kendo-grid-column>
            <kendo-grid-column field="hta9" title="Nónuplo" width="90" class="text-right" *ngIf="nueve">
                <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.hta9 | currency: 'MXN' }}</ng-template>
            </kendo-grid-column>
            <kendo-grid-column field="hta10" title="Décuplo" width="90" class="text-right" *ngIf="diez">
                <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.hta10 | currency: 'MXN' }}</ng-template>
            </kendo-grid-column>
            <kendo-grid-column field="hta11" title="Adic." width="80" class="text-right">
                <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.hta11 | currency: 'MXN' }}</ng-template>
            </kendo-grid-column>
            <kendo-grid-column field="htj11" title="Junior" width="80" class="text-right">
                <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.htj11 | currency: 'MXN' }}</ng-template>
            </kendo-grid-column>
            <kendo-grid-column field="htm11" title="Menor" width="80" class="text-right">
                <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.htm11 | currency: 'MXN' }}</ng-template>
            </kendo-grid-column>

            <kendo-grid-column field="htardia" title="Total Día" width="100" class="text-right">
                <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.htardia | currency: 'MXN' }}</ng-template>
            </kendo-grid-column>
            <kendo-grid-column field="detalle" title="Desglose" width="100">
                <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.detalle }}
                </ng-template>
            </kendo-grid-column>
            <kendo-grid-column field="Proc" title="Proc." width="60">
                <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.Proc }}</ng-template>
            </kendo-grid-column>
            <kendo-grid-column field="tarifa" title="Tarifa" width="90">
                <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.tarifa }}</ng-template>
            </kendo-grid-column>
            <kendo-grid-column field="htipo" title="Tipo" width="60">
                <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.htipo }}</ng-template>
            </kendo-grid-column>

            <kendo-grid-command-column title="Acciones" width="85" class="text-center" *ngIf="!consulta">
                <ng-template kendoGridCellTemplate let-dataItem>
                    <button class="btn btn-shadow btn-primary" (click)="editarTarifa(dataItem)"
                        *ngIf="tmanuales === 'S'">
                        <i class="fa fa-edit mr-2"></i>Editar
                    </button>
                    <button class="btn btn-shadow btn-danger" (click)="editarTarifa(dataItem)"
                        *ngIf="tmanuales === 'N'">
                        <i class="fa fa-lock mr-2"></i>Editar
                    </button>
                </ng-template>
            </kendo-grid-command-column>
        </kendo-grid>

        <div class="row d-flex justify-content-end" *ngIf="dataGrid.length">
            <div class="col-md-12 col-lg-4">
                <ul class="list-group list-group-flush">
                    <li class="bg-transparent list-group-item">
                        <div class="widget-content p-0">
                            <div class="widget-content-outer">
                                <div class="widget-content-wrapper">
                                    <div class="widget-content-left">
                                        <div class="widget-heading">Suplementos</div>
                                        <div class="widget-subheading"></div>
                                    </div>
                                    <div class="widget-content-right">
                                        <div class="widget-numbers text-primary">{{ totalSuplemento | currency: 'MXN' }}
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </li>
                </ul>
            </div>
            <div class="col-md-12 col-lg-4">
                <ul class="list-group list-group-flush">
                    <li class="bg-transparent list-group-item">
                        <div class="widget-content p-0">
                            <div class="widget-content-outer">
                                <div class="widget-content-wrapper">
                                    <div class="widget-content-left">
                                        <div class="widget-heading">Tarifa</div>
                                        <div class="widget-subheading"></div>
                                    </div>
                                    <div class="widget-content-right">
                                        <div class="widget-numbers text-primary">
                                            {{ ttotal | currency: 'MXN'}}
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </li>
                </ul>
            </div>
            <button class="btn btn-info m-3" (click)="btnSuplementos(modalSupl)">
                <i class="fa fa-plus mr-2" aria-hidden="true"></i>Suplementos
            </button>
        </div>
    </ng-container>

    <div class="row animated fadeIn d-flex justify-content-center p-1" *ngIf="flagEdit">
        <div class="row-fluid col-6 col-sm-5 col-md-5 col-lg-4 col-xl-3">
            <div class="form-group row text-right" *ngIf="uno">
                <label for="hta1" class="col-sm-4 col-form-label">Sencillo</label>
                <div class="col-sm-8">
                    <input type="number" class="form-control text-right" id="hta1" [(ngModel)]="tarifaSelect.hta1"
                        [readonly]="dataGrid[0].httad !== 1 && dataGrid[0].httad <= maxAdultos || 
                        1 !== maxAdultos && dataGrid[0].httad >= maxAdultos">
                </div>
            </div>
            <div class="form-group row text-right" *ngIf="dos">
                <label for="hta2" class="col-sm-4 col-form-label">Doble</label>
                <div class="col-sm-8">
                    <input type="number" class="form-control text-right" id="hta2" [(ngModel)]="tarifaSelect.hta2"
                        [readonly]="dataGrid[0].httad !== 2 && dataGrid[0].httad <= maxAdultos ||
                        2 !== maxAdultos && dataGrid[0].httad >= maxAdultos">
                </div>
            </div>
            <div class="form-group row text-right" *ngIf="tres">
                <label for="hta3" class="col-sm-4 col-form-label">Triple</label>
                <div class="col-sm-8">
                    <input type="number" class="form-control text-right" id="hta3" [(ngModel)]="tarifaSelect.hta3"
                        [readonly]="dataGrid[0].httad !== 3 && dataGrid[0].httad <= maxAdultos ||
                        3 !== maxAdultos && dataGrid[0].httad >= maxAdultos">
                </div>
            </div>

            <div class="form-group row text-right" *ngIf="cuatro">
                <label for="hta4" class="col-sm-4 col-form-label">Cuádruple</label>
                <div class="col-sm-8">
                    <input type="number" class="form-control text-right" id="hta4" [(ngModel)]="tarifaSelect.hta4"
                        [readonly]="dataGrid[0].httad !== 4 && dataGrid[0].httad <= maxAdultos ||
                        4 !== maxAdultos && dataGrid[0].httad >= maxAdultos">
                </div>
            </div>
            <div class="form-group row text-right" *ngIf="cinco">
                <label for="hta5" class="col-sm-4 col-form-label">Quíntuple</label>
                <div class="col-sm-8">
                    <input type="number" class="form-control text-right" id="hta5" [(ngModel)]="tarifaSelect.hta5"
                        [readonly]="dataGrid[0].httad !== 5 && dataGrid[0].httad <= maxAdultos ||
                        5 !== maxAdultos && dataGrid[0].httad >= maxAdultos">
                </div>
            </div>
            <div class="form-group row text-right" *ngIf="seis">
                <label for="hta6" class="col-sm-4 col-form-label">Séxtuple</label>
                <div class="col-sm-8">
                    <input type="number" class="form-control text-right" id="hta6" [(ngModel)]="tarifaSelect.hta6"
                        [readonly]="dataGrid[0].httad !== 6 && dataGrid[0].httad <= maxAdultos || 
                        6 !== maxAdultos && dataGrid[0].httad >= maxAdultos">
                </div>
            </div>
            <div class="form-group row text-right" *ngIf="siete">
                <label for="hta7" class="col-sm-4 col-form-label">Séptuple</label>
                <div class="col-sm-8">
                    <input type="number" class="form-control text-right" id="hta7" [(ngModel)]="tarifaSelect.hta7"
                        [readonly]="dataGrid[0].httad !== 7 && dataGrid[0].httad <= maxAdultos || 
                        7 !== maxAdultos && dataGrid[0].httad >= maxAdultos">
                </div>
            </div>
        </div>
        <div class="row-fluid col-6 col-sm-5 col-md-5 col-lg-4 col-xl-3">
            <div class="form-group row text-right" *ngIf="ocho">
                <label for="hta8" class="col-sm-4 col-form-label">Óctuple</label>
                <div class="col-sm-8">
                    <input type="number" class="form-control text-right" id="hta8" [(ngModel)]="tarifaSelect.hta8"
                        [readonly]="dataGrid[0].httad !== 8 && dataGrid[0].httad <= maxAdultos ||
                        8 !== maxAdultos && dataGrid[0].httad >= maxAdultos">
                </div>
            </div>
            <div class="form-group row text-right" *ngIf="nueve">
                <label for="hta9" class="col-sm-4 col-form-label">Nónuplo</label>
                <div class="col-sm-8">
                    <input type="number" class="form-control text-right" id="hta9" [(ngModel)]="tarifaSelect.hta9"
                        [readonly]="dataGrid[0].httad !== 9 && dataGrid[0].httad <= maxAdultos ||
                        9 !== maxAdultos && dataGrid[0].httad >= maxAdultos">
                </div>
            </div>
            <div class="form-group row text-right" *ngIf="diez">
                <label for="hta10" class="col-sm-4 col-form-label">Décuplo</label>
                <div class="col-sm-8">
                    <input type="number" class="form-control text-right" id="hta10" [(ngModel)]="tarifaSelect.hta10"
                        [readonly]="dataGrid[0].httad !== 10 && dataGrid[0].httad <= maxAdultos || 
                        10 !== maxAdultos && dataGrid[0].httad >= maxAdultos">
                </div>
            </div>
            <div class="form-group row text-right">
                <label for="hta11" class="col-sm-4 col-form-label">Adicional</label>
                <div class="col-sm-8">
                    <input type="number" class="form-control text-right" id="hta11" [(ngModel)]="tarifaSelect.hta11"
                        [readonly]="dataGrid[0].httad <= maxAdultos">
                </div>
            </div>
            <div class="form-group row text-right">
                <label for="htj11" class="col-sm-4 col-form-label">Junior</label>
                <div class="col-sm-8">
                    <input type="number" class="form-control text-right" id="htj11" [(ngModel)]="tarifaSelect.htj11"
                        [readonly]="!folio.hjunior">
                </div>
            </div>
            <div class="form-group row text-right">
                <label for="htm11" class="col-sm-4 col-form-label">Menor</label>
                <div class="col-sm-8">
                    <input type="number" class="form-control text-right" id="htm11" [(ngModel)]="tarifaSelect.htm11"
                        [readonly]="!folio.hmenpag">
                </div>
            </div>
        </div>

        <div class="col-12 d-flex justify-content-center my-4">
            <div role="group" class="mb-3 btn-group-lg btn-group">
                <button (click)="flagEdit = false" class="btn-shadow btn btn-alternate btn-pill px-4 py-2 pl-3">
                    <i class="fa fa-arrow-circle-left mr-2"></i>Regresar
                </button>
                <button class="btn-shadow btn btn-success btn-pill px-4 py-2 pr-3" [disabled]="loading"
                    (click)="updateRates()" *ngIf="!consulta && tmanuales === 'S'">
                    <i class="fa fa-save mr-2"></i>Guardar
                </button>
            </div>
        </div>
    </div>
</div>


<ng-template #modalSupl let-c="close" let-d="dismiss">
    <div class="modal-header">
        <div class="modal-title">
            <i class="fas fa-calculator mr-2"></i>Suplementos de la Tarifa
        </div>
        <button class="close" aria-label="Close" (click)="d('Cross click'); consultaTarifas(folio.hfolio);">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">
        <app-help-suplementos [tarifa]="tarifaSupl" [mantto]="tsuplemento" [consulta]="false" [uso]="'H'"
            (refresh)="consultaTarifas($event)">
        </app-help-suplementos>
    </div>
    <div class="modal-footer">
        <button class="btn btn-secondary" (click)="c('Close click'); consultaTarifas(folio.hfolio);">
            Cerrar
        </button>
    </div>
</ng-template>